Subject: Re: bug: autostash is lost after aborted rebase

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 May 2014 10:34:36 -0700

Matthieu Moy <[email-masked]> writes:

> [ Cc-ing Ramkumar ]
>
> Karen Etheridge <[email-masked]> writes:
>
>> scenario: 
>> - edit some tracked files; do not add them to the index
>> - "git config rebase.autostash true"
>> - "git rebase -i HEAD~3" (an autostash will be created)
>> - delete the entire buffer and save/exit the editor - this will abort the
>>   rebase
>>
>> poof, the autostash is gone (it is not reapplied) -- it must be explicitly
>> applied again via the SHA that was printed earlier.
>
> Indeed. Confirmed, even with pu (I thought I remembered seeing a fix on
> the list, but I must have mixed up with something else).

Thanks.  I see Ram's patch to address this on the list.  Will pick
it up and queue for post-release, as this is a fairly old breakage
dating as far back as v1.8.4, if I am not mistaken.